package com.hzya.frame.sys.file.download.entity;
import com.hzya.frame.web.entity.BaseEntity;

import java.io.File;
/**
 * @description: 系统文件下载
 * @tableName:   sys_file
 * @entityName:  FileDownloadEntity
 * @author: 	 gjh
 * @history:	 1.0
 */
public class  FileDownloadEntity extends BaseEntity {

	/** 文件名称 */
	private String filename;
	/** 文件新名称 */
	private String filesavename;
	/** 文件类型 */
	private String type;
	/** 文件大小（kb） */
	private Long file_size;
	/** 描述 */
	private String description;
	/** 文件路径 */
	private String filepath;
	/** 文件*/
	private File file;
	/** 文件类型
	 * 1：普通文件
	 * 2：插件附件*/
	private String fileType;

	public String getFileType() {
		return fileType;
	}

	public void setFileType(String fileType) {
		this.fileType = fileType;
	}

	/** 文件名称 */
	public void setFilename(String filename) {
		this.filename = filename;
	}
	/** 文件名称 */
	public String getFilename() {
		return filename;
	}
	/** 文件新名称 */
	public void setFilesavename(String filesavename) {
		this.filesavename = filesavename;
	}
	/** 文件新名称 */
	public String getFilesavename() {
		return filesavename;
	}
	/** 文件类型 */
	public void setType(String type) {
		this.type = type;
	}
	/** 文件类型 */
	public String getType() {
		return type;
	}
	/** 文件大小（kb） */
	public void setFile_size(Long file_size) {
		this.file_size = file_size;
	}
	/** 文件大小（kb） */
	public Long getFile_size() {
		return file_size;
	}
	/** 描述 */
	public void setDescription(String description) {
		this.description = description;
	}
	/** 描述 */
	public String getDescription() {
		return description;
	}
	/** 文件路径 */
	public void setFilepath(String filepath) {
		this.filepath = filepath;
	}
	/** 文件路径 */
	public String getFilepath() {
		return filepath;
	}

	public File getFile() {
		return file;
	}

	public void setFile(File file) {
		this.file = file;
	}
}
